<?php echo $this->extend('/template'); ?>
<?php echo $this->section('content') ?>

<head>
    <title>ATUR ARMADA</title>
    <script>
        var baseUrl = "<?php echo base_url(); ?>";
        var siteUrl = "<?php echo site_url(); ?>";
    </script>
    <?php
    /*
header( "Access-Control-Allow-Origin: *" );
header( "Access-Control-Allow-Credentials: true" );
header( "Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS" );
header( "Access-Control-Max-Age: 604800" );
header( "Access-Control-Request-Headers: x-requested-with" );
header( "Access-Control-Allow-Headers: x-requested-with, x-requested-by" );
*/
    ?>


</head>


<div class="rows">
    <div class="col-sm-7">
        <h3>
            <img src="/assets/images/pemprovsmr/header_icon.png" width="35px">&nbsp;<b>1. PENGATURAN ARMADA
            </b>
        </h3>
    </div>
    <div class="col-sm-5">
        <span id="potensitotal"></span>
    </div>
</div>

<div class="row">
    <div class="col-sm-7">
        <i><b>CATATAN:</b>Kolom Jumlah Pemudik adalah Jumlah Calon Pemudik yang telah melalui verifikasi dan berstatus: Verified.<br />Tabel Armada adalah daftar Armada yang berstatus : Aktif</i>
        <table id="dg" title="<?php echo $balik== 0 ? "TUJUAN MUDIK" : "ASAL WILAYAH" ?>" class="easyui-datagrid" style="width:100%;height:600px" url="/tujuantdata" rownumbers="true" fitColumns="true" singleSelect="true" data-options=" pagination:false, scrollbarSize:0, pageSize:20, noWrap:false, 
        queryParams: {'<?php echo csrf_token() ?>': '<?php echo csrf_hash() ?>','balik':'<?php echo $balik; ?>'},">
            <thead>
                <tr>
                    <th field="nama" width="40" align="left">KOTA TUJUAN</th>
                    <th field="potensi" width="30" align="center" data-options="formatter:cellStyler">JUMLAH<BR />PEMUDIK</th>
                    <th field="kurangsisa" width="30" align="center" data-options="formatter:cellStyler3">KURANG/SISA<BR />SEAT</th>
                    <th field="armada" width="50" align="center" data-options="formatter:cellStyler2">ARMADA</th>
                    <!--
                    <th field="buatetiket" width="30" align="center">BUAT<br/>e-TIKET</th>
                    -->
                </tr>
            </thead>
        </table>


    </div>
    <div class="col-sm-5">
        <br /><br />
        <table id="dgarmada" title="ARMADA" class="easyui-datagrid" style="width:100%;height:600px" url="/armadatdata" toolbar="#toolbar" rownumbers="true" fitColumns="true" singleSelect="true" data-options=" pagination:true, scrollbarSize:0, nowrap:false, remoteFilter:true, pageSize:20, noWrap:false, queryParams: {
            '<?php echo csrf_token() ?>': '<?php echo csrf_hash() ?>',
            'balik':'<?php echo $balik; ?>'}
            ">
            <thead>
                <tr>
                    <th field="perusahaan" width="50" align="left">PERUSAHAAN</th>
                    <th field="nama" width="50" align="left">NAMA ARMADA</th>
                    <th field="nopol" width="40">NO PLAT</th>
                    <th field="jenist" width="30">JENIS</th>
                    <th field="kapasitas" width="30" align="center">KAP</th>
                </tr>
            </thead>
        </table>
    </div>
</div>

<hr />
<h3>
    <img src="<?php echo base_url(); ?>/assets/images/pemprovsmr/header_icon.png" width="35px">&nbsp;<b>2. PENEMPATAN PEMUDIK
    </b>
</h3>

<div class="row">
<div class="col-sm-6">
    <ol>
        <li>Melakukan penempatan penumpang pada Bus dengan mempertimbangkan rombongan pemudik</li>
        <li>Penempatan otomatis diupayakan setiap rombongan tidak akan terpisah Busnya</li>
        <li>Setelah selesai penempatan ini, maka setiap pemudik sudah mendapatkan Bus yang akan dipergunakan, dan akan muncul pada e-Tiket</li>
        <li>Klik tombol "Penempatan Pemudik", maka sistem akan melakukan penempatan secara otomatis</li>
        <li>Klik tombol "Batalkan Penempatan Pemudik", maka sistem akan kembali mengkosongkan seluruh Bus dari penunjukan Pemudik</li> 
        
    </ol>
    <div style="margin-bottom:200px"></div>
</div>
<div class="col-sm-3">
        <form id="fm" method="post" novalidate>
            <a href="javascript:void(0)" class="btn btn-primary" onclick="penempatanpemudik()" style="width:250px;height:35px;">PENEMPATAN PEMUDIK</a>
        </form>
    </div>
  
    <div class="col-sm-3">
<!--
      <form id="fmu" method="post" novalidate>
            <a href="javascript:void(0)" class="btn btn-primary" onclick="unpenempatanpemudik()" style="width:250px;height:35px;">BATALKAN PENEMPATAN PEMUDIK</a>
        </form>
-->
  </div>
</div>







<script>
    $(document).ready(function() {

        potensitotal();
    });

    function etiket() {
        dg = $('#dg').datagrid('getData');
        //alert(dg.rows[0].nama);
        //console.log(dg);
        $.each(dg.rows, function(index, value) {
            console.log(value);
            //cari yang sudah terisi penuh 
            //ditandai dengan 
            //if (value.potensi !== '0' ) {
            if (value.kap !== '') {
                if (value.kurangsisa >= 0) {
                    //console.log(value.nama);
                    buatetiket(value.wilayah_id);
                }
            }

        });
        console.log("oke");
    }

    function penempatanpemudik() {
        $('#fm').form('submit', {
            url: "/penempatanpemudik",
            onSubmit: function(param) {
                param.csrftoken_erb2021 = '<?= csrf_hash() ?>';
                param.balik= '<?php echo $balik; ?>';
                return $(this).form('validate');
            },
            success: function(result) {
                alert('sukses');
            }
        });
    }

    function unpenempatanpemudik() {
        $('#fmu').form('submit', {
            url: "/unpenempatanpemudik",
            onSubmit: function(param) {
                param.csrftoken_erb2021 = '<?= csrf_hash() ?>';param.balik= '<?php echo $balik; ?>';
                return $(this).form('validate');
            },
            success: function(result) {
                alert('sukses');
            }
        });
    }



    function mapmudik(wid) {
        var aTag = $("#sah");
        $('html,body').animate({
            scrollTop: aTag.offset().top
        }, 3000);
    }





    function potensitotal() {
        $.ajax({
            type: 'post',
            url: "<?php echo base_url(); ?>/rekap",
            data: {
                "<?= csrf_token() ?>": "<?= csrf_hash() ?>"
            },
            success: function(data) {
                var respon = $.parseJSON(data);
                console.log(respon);
                html = '<table class="rekapmudik">';
                html += '<tr><th>JML PEMUDIK</th><th>TOTAL ARMADA</th><th>TOTAL SEAT</th><th>ARMADA TERPAKAI</th><th>SISA ARMADA</th><th>ARMADA CADANGAN</th></tr>';
                html += '<tr><td>' + respon.pemudik + '</td><td>' + respon.totarmada + '</td><td>' + respon.totseat + '</td><td>' + respon.totarmada_terpakai + '</td><td>' + respon.totarmada_sisa + '</td><td>' + respon.totarmada_cadangan + '</tr></table>';
                $('#potensitotal').html(html);
                //$('#potensitotal').html('Jumlah potensi Pemudik : ' + respon.total);
            }

        });

    }



    function statusupdate(id, st) {
        $.ajax({
            type: 'post',
            url: "<?php echo base_url(); ?>/statusupdate",
            data: {
                id: id,
                st: st,
                "<?= csrf_token() ?>": "<?= csrf_hash() ?>"
            },
            success: function(data) {
                var respon = $.parseJSON(data);
                console.log(respon);
                $('#dg').datagrid('reload'); // reload the user data

            }

        });

    }



    function cellStyler(val, row) {
        if (val <= 0)
            return;
        else
            return '<span style="color:#000;font-size:20px;font-weight:bold">' + val + '</span>';
    }

    function cellStyler2(val, row) {
        if (row.armada)
            return '<span style="color:#000;font-size:16px;font-weight:bold">' + val + '</span>';
    }

    function cellStyler3(val, row) {
        if (row.kurangsisa < 0)
            return '<span style="color:#000;font-size:20px;font-weight:bold;border-style:solid;padding:10px 10px 10px 10px;border-color:red;background-color:red;color:#fff;">-' + val + '</span>';
        else if (row.kurangsisa > 0)
            return '<span style="color:#000;font-size:20px;font-weight:bold">' + val + '</span>';
        else return 'xxxx';
    }
</script>

<script>
    $('#dgarmada').datagrid({
        onDblClickRow: function(index, field, value) {
            console.log(field.armada_id);
            var rowdg = $('#dg').datagrid('getSelected');
            if (!rowdg) {
                alert("Sila klik Kota Tujuan terlebih dulu");
                return;
            }
            wilayah_id = rowdg.wilayah_id;
            $.ajax({
                type: 'post',
                url: '/tunjukar',
                data: {
                    "<?php echo csrf_token() ?>": "<?php echo csrf_hash() ?>",
                    'armada_id': field.armada_id,
                    'wilayah_id': wilayah_id
                },
                success: function(datas) {
                    //var respon = $.parseJSON(data);
                    $('#dgarmada').datagrid('reload');
                    $('#dg').datagrid('reload');
                    potensitotal();
                }

            });

        }
    });
</script>

<script type="text/javascript">
    $('#dg').datagrid({
        view: detailview,
        detailFormatter: function(index, row) {
            var html = '<div class="ddv" style="padding:5px 0"></div>';
            return html;
        },
        onExpandRow: function(index, row) {
            var ddv = $(this).datagrid('getRowDetail', index).find('div.ddv');
            ddv.panel({
                height: 'auto',
                border: false,
                cache: false,
                href: '/aturdetil/' + row.wilayah_id,
                onLoad: function() {
                    $('#dg').datagrid('fixDetailRowHeight', index);
                }
            });
            $('#dg').datagrid('fixDetailRowHeight', index);
        }
    });

    function hapusdet(a, w) {
        $.ajax({
            type: 'post',
            url: "<?php echo base_url(); ?>/hapusdet",
            data: {
                "<?= csrf_token() ?>": "<?= csrf_hash() ?>",
                'a': a,
                'w': w
            },
            success: function(data) {
                //var respon = $.parseJSON(data);
                $('#dgarmada').datagrid('reload');
                $('#dg').datagrid('reload');
            }

        });



    }

    function myformatter(date) {
        var y = date.getFullYear();
        var m = date.getMonth() + 1;
        var d = date.getDate();
        return (d < 10 ? ('0' + d) : d) + '-' + (m < 10 ? ('0' + m) : m) + '-' + y;
    }

    function myparser(s) {
        if (!s) return new Date();
        var ss = (s.split('-'));
        var y = parseInt(ss[2], 10);
        var m = parseInt(ss[1], 10);
        var d = parseInt(ss[0], 10);
        if (!isNaN(y) && !isNaN(m) && !isNaN(d)) {
            return new Date(y, m - 1, d);
        } else {
            return new Date();
        }
    }
</script>

<script>
    $(function() {
        var dg = $('#dgarmada').datagrid();
        dg.datagrid('enableFilter', [{
                field: 'perusahaan',
                type: 'textbox'
            }, {
                field: 'nama',
                type: 'textbox'
            }, {
                field: 'nopol',
                type: 'textbox'
            }, {
                field: 'jenist',
                type: 'label'
            }, {
                field: 'kapasitas',
                type: 'label'
            }


        ]);
    });
</script>


<script>
    $(function() {
        var dg = $('#dg').datagrid();
        dg.datagrid('enableFilter', [{
                field: 'nama',
                type: 'textbox'
            }, {
                field: 'potensi',
                type: 'label'
            }, {
                field: 'kurangsisa',
                type: 'label'
            }, {
                field: 'armada',
                type: 'label'
            }


        ]);
    });
</script>


<style>
    #potensitotal {
        font-size: 13px;
        font-weight: bold;
        color: #ad7a0d;
        float: right;
        padding-right: 10px;
    }

    table.rekapmudik {
        border-style: solid;
        padding: 5px;
        border-width: 1px;
        margin-bottom: 10px;
        margin-right: 0px;
    }

    .rekapmudik th,
    td {
        border-style: solid;
        border-width: 1px;
        padding: 5px;
        text-align: center;
    }

    .rekapmudik td {
        font-size: 18px;
        font-weight: bold;
        background-color: #f4edde;
    }

    .rekapmudik th {
        background-color: #888;
        color: #fff;
    }

    #sah {
        min-height: 700px;
    }

    <?php echo $this->endSection() ?>